Eclipse GEF 3.3

## org.eclipse.gef.ui.actions
Class DeleteAction

    java.lang.Object
      org.eclipse.gef.ui.actions.WorkbenchPartAction
          org.eclipse.gef.ui.actions.SelectionAction
              org.eclipse.gef.ui.actions.DeleteAction

public class DeleteAction
extends SelectionAction

An action to delete selected objects.

Field Summary
`static java.lang.String` `ID` Deprecated. Use ActionFactory.DELETE.getId() instead.

Constructor Summary
`DeleteAction(IEditorPart editor)` Deprecated. use DeleteAction(IWorkbenchPart part)
`DeleteAction(IEditorPart editor, java.lang.String label)` Deprecated. use DeleteAction(IWorkbenchPart)
`DeleteAction(IWorkbenchPart part)` Constructs a `DeleteAction` using the specified part.

Method Summary
`protected boolean` `calculateEnabled()` Returns `true` if the selected objects can be deleted.
`Command` `createDeleteCommand(java.util.List objects)` Create a command to remove the selected objects.
`protected void` `init()` Initializes this action's text and images.
`void` `run()` Performs the delete action on the selected objects.

Methods inherited from class org.eclipse.gef.ui.actions.SelectionAction
`dispose, getSelectedObjects, getSelection, handleSelectionChanged, setSelection, setSelectionProvider, update`

Methods inherited from class org.eclipse.gef.ui.actions.WorkbenchPartAction
`execute, getCommandStack, getWorkbenchPart, isEnabled, refresh, setLazyEnablementCalculation, setWorkbenchPart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ID

    public static final java.lang.String ID

  Deprecated. Use ActionFactory.DELETE.getId() instead.

Constructor Detail

### DeleteAction

    public DeleteAction(IEditorPart editor)

  Deprecated. use DeleteAction(IWorkbenchPart part)

Parameters:
  `editor` - The editor this action will be associated with.

### DeleteAction

    public DeleteAction(IEditorPart editor,
                        java.lang.String label)

  Deprecated. use DeleteAction(IWorkbenchPart)

  Creates a `DeleteAction` with the given label.

Parameters:
  `editor` - The editor this action will be associated with.
  `label` - The label to be displayed for this action.

### DeleteAction

    public DeleteAction(IWorkbenchPart part)

  Constructs a `DeleteAction` using the specified part.

Parameters:
  `part` - The part for this action

Method Detail

### calculateEnabled

    protected boolean calculateEnabled()

  Returns `true` if the selected objects can be deleted. Returns `false` if there are no objects selected or the selected objects are not `EditPart`s.

  Specified by:
    `calculateEnabled` in class `WorkbenchPartAction`
  Returns:
    `true` if the command should be enabled

### createDeleteCommand

    public Command createDeleteCommand(java.util.List objects)

  Create a command to remove the selected objects.

  Parameters:
    `objects` - The objects to be deleted.
  Returns:
    The command to remove the selected objects.

### init

    protected void init()

  Initializes this action's text and images.

  Overrides:
    `init` in class `WorkbenchPartAction`

### run

    public void run()

  Performs the delete action on the selected objects.

Eclipse GEF 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.